Skip to main content
GET
/
api
/
mcp
/
tool-groups
/
{id}
Error
A valid request URL is required to generate request examples
{
  "mcp_tool_group": {
    "id": 123,
    "name": "<string>",
    "description": "<string>",
    "enabled": true,
    "tools": [
      {
        "mcp_client_id": "<string>",
        "tool_names": [
          "<string>"
        ]
      }
    ],
    "virtual_key_ids": [
      "<string>"
    ],
    "team_ids": [
      "<string>"
    ],
    "customer_ids": [
      "<string>"
    ],
    "user_ids": [
      "<string>"
    ],
    "provider_names": [
      "<string>"
    ],
    "api_key_ids": [
      123
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>. Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.

Path Parameters

id
integer
required

Response

Successful response

mcp_tool_group
object